# Class ClientJMeterEngine

java.lang.Object
org.apache.jmeter.engine.ClientJMeterEngine

All Implemented Interfaces:
  `JMeterEngine`

public class ClientJMeterEngine extends Object implements JMeterEngine
Class to run remote tests from the client JMeter and collect remote samples

## Constructor Summary

Constructors
Constructor
Description
`ClientJMeterEngine(String host)`

## Method Summary

Modifier and Type
Method
Description
`void`
`configure(HashTree testTree)`
`void`
`exit()`
`String`
`getHost()`
`boolean`
`isActive()`
`void`
`reset()`
`void`
`runTest()`
`void`
`setProperties(Properties p)`
`void`
`stopTest(boolean now)`
`static void`
`tidyRMI(Logger logger)`
Tidy up RMI access to allow JMeter client to exit.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClientJMeterEngine

public ClientJMeterEngine(String host) throws MalformedURLException, NotBoundException, RemoteException

Throws:
  `MalformedURLException`
  `NotBoundException`
  `RemoteException`

## Method Details

### configure

public void configure(HashTree testTree)

Specified by:
  `configure` in interface `JMeterEngine`

### stopTest

public void stopTest(boolean now)

Specified by:
  `stopTest` in interface `JMeterEngine`

### reset

public void reset()

Specified by:
  `reset` in interface `JMeterEngine`

### runTest

public void runTest() throws JMeterEngineException

Specified by:
  `runTest` in interface `JMeterEngine`
Throws:
  `JMeterEngineException`

### tidyRMI

public static void tidyRMI(Logger logger)
Tidy up RMI access to allow JMeter client to exit. Currently just interrups the "RMI Reaper" thread.

Parameters:
  `logger` - where to log the information

### exit

public void exit()

Specified by:
  `exit` in interface `JMeterEngine`

### setProperties

public void setProperties(Properties p)

Specified by:
  `setProperties` in interface `JMeterEngine`

### isActive

public boolean isActive()

Specified by:
  `isActive` in interface `JMeterEngine`

### getHost

public String getHost()